autofs-5.0.3 - check for mtab pointing to /proc/mounts fix

From: Ian Kent <raven@themaw.net>

Fix incorrect initialization in spawn_bind_mount() which
caused bind mounts to not be added to mtab.
---

 daemon/spawn.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)


diff --git a/daemon/spawn.c b/daemon/spawn.c
index 85cf9b8..17f92f4 100644
--- a/daemon/spawn.c
+++ b/daemon/spawn.c
@@ -432,7 +432,7 @@ int spawn_bind_mount(unsigned logopt, ...)
 	char arg_fake[] = "-f";
 	unsigned int options;
 	unsigned int retries = MTAB_LOCK_RETRIES;
-	int update_mtab = 0, ret, printed = 0;
+	int update_mtab = 1, ret, printed = 0;
 	char buf[PATH_MAX];
 
 	/* If we use mount locking we can't validate the location */
